Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XKMS Java API Reference 10g Release 3 (10.1.3) B25625-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.xkms.xkiss
Class LocateRequest

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.xkms.Message
oracle.security.xmlsec.xkms.Request
oracle.security.xmlsec.xkms.xkiss.LocateRequest`

public final class LocateRequest
extends Request

The X-KISS Locate request message.

Field Summary

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`LocateRequest(org.w3c.dom.Document owner)` Create a new `LocateRequest` instance.
`LocateRequest(org.w3c.dom.Document owner, QueryKeyBinding keyInfo)` Create a new `LocateRequest` instance.
`LocateRequest(org.w3c.dom.Document owner, java.lang.String systemId)` Create a new `LocateRequest` instance.
`LocateRequest(org.w3c.dom.Element element)` Creates a new `LocateRequest` instance from the given Element node.

Method Summary
`QueryKeyBinding` | `getKeyBinding()` Returns the `xkms:QueryKeyBinding` child element for this message or `null` if none is set.
`void` | `setQueryKeyBinding(QueryKeyBinding keyInfo)` Sets the `xkms:QueryKeyBinding` child element for this message.

Methods inherited from class oracle.security.xmlsec.xkms.Request
`addRespondWith, addResponseMechanism, getOriginalRequestID, getPendingNotificationIdentifier, getPendingNotificationMechanism, getRespondWiths, getResponseLimit, getResponseMechanisms, setOriginalRequestID, setPendingNotification, setResponseLimit`

Methods inherited from class oracle.security.xmlsec.xkms.Message
`addMessageExtension, clearSignature, getId, getMessageExtensions, getNonce, getOpaqueClientData, getService, getSignature, insertChild, insertChild, removeChildren, setId, setNonce, setOpaqueClientData, setService, setSignature`

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocateRequest

    public LocateRequest(org.w3c.dom.Element element)
                  throws org.w3c.dom.DOMException

  Creates a new `LocateRequest` instance from the given Element node.
Parameters:
  `element` - An Element node in the XML document that conforms to the X-KISS LocateRequest schema.
Throws:
  `org.w3c.dom.DOMException`

### LocateRequest

    public LocateRequest(org.w3c.dom.Document owner)
                  throws org.w3c.dom.DOMException

  Create a new `LocateRequest` instance.
Parameters:
  `owner` - The owner document of the new `LocateRequest`.
Throws:
  `org.w3c.dom.DOMException`

### LocateRequest

    public LocateRequest(org.w3c.dom.Document owner,
                         java.lang.String systemId)
                  throws org.w3c.dom.DOMException

  Create a new `LocateRequest` instance.
Parameters:
  `owner` - The owner document of the new `LocateRequest`.
  `systemId` - The URI string system ID for the `Message`..
Throws:
  `org.w3c.dom.DOMException`

### LocateRequest

    public LocateRequest(org.w3c.dom.Document owner,
                         QueryKeyBinding keyInfo)
                  throws org.w3c.dom.DOMException

  Create a new `LocateRequest` instance.
Parameters:
  `owner` - The owner document of the new `LocateRequest`.
  `keyInfo` - The `xkms:QueryKeyBinding` carried by this `LocateRequest` message.
Throws:
  `org.w3c.dom.DOMException`

Method Detail

### setQueryKeyBinding

    public void setQueryKeyBinding(QueryKeyBinding keyInfo)
                            throws org.w3c.dom.DOMException

  Sets the `xkms:QueryKeyBinding` child element for this message.
  Parameters:
    `keyInfo` - The `xkms:QueryKeyBinding` carried by this `LocateRequest` message.
  Throws:
    `org.w3c.dom.DOMException`

### getKeyBinding

    public QueryKeyBinding getKeyBinding()
                                  throws org.w3c.dom.DOMException

  Returns the `xkms:QueryKeyBinding` child element for this message or `null` if none is set.
  Returns:
    The `xkms:QueryKeyBinding` carried by this `LocateRequest` message.
  Throws:
    `org.w3c.dom.DOMException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XKMS Java API Reference 10g Release 3 (10.1.3) B25625-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.